
<!-- Warning: This file has been autogenerated by tools/makedoc.py. Manual edits will be overwritten. -->
<html>
    <head>
        <title>freesmartphone.org GSM Errors</title>
        <link rel="stylesheet" type="text/css" href="http://git.freesmartphone.org/?p=specs.git;a=blob_plain;f=html/style.css;hb=HEAD" />
    </head>
    <body>
    <div class="topbox">freesmartphone.org Framework DBus Interface Specification</div>


<h1>org.freesmartphone.GSM.Error0</h1><h2>Description</h2>
<p>The org.freesmartphone.GSM.Error domain describes common errors clients should expect when calling FSO GSM DBus APIs.</p>
<h2>Namespace</h2>
<p><tt>org.freesmartphone.GSM.Error0</tt></p>
<h2>Methods</h2><i>None</i>
<h2>Signals</h2><i>None</i>
<h2>Properties</h2><i>None</i>
<h2>Errors</h2><ul>
<li><a href="#DeviceNotPresent">DeviceNotPresent</a></li>
<li><a href="#DeviceTimeout">DeviceTimeout</a></li>
<li><a href="#DeviceFailed">DeviceFailed</a></li>
<li><a href="#AuthorizationRequired">AuthorizationRequired</a></li>
<li><a href="#SimNotPresent">SimNotPresent</a></li>
<li><a href="#SimAuthFailed">SimAuthFailed</a></li>
<li><a href="#SimBlocked">SimBlocked</a></li>
<li><a href="#SimNotFound">SimNotFound</a></li>
<li><a href="#SimMemoryFull">SimMemoryFull</a></li>
<li><a href="#SimInvalidIndex">SimInvalidIndex</a></li>
<li><a href="#CallNotFound">CallNotFound</a></li>
<li><a href="#MuxChannelTaken">MuxChannelTaken</a></li>
<li><a href="#MuxNoChannel">MuxNoChannel</a></li>
<li><a href="#MuxNoSession">MuxNoSession</a></li>
<li><a href="#MuxSessionAlreadyOpen">MuxSessionAlreadyOpen</a></li>
<li><a href="#MuxSessionOpenError">MuxSessionOpenError</a></li>
<li><a href="#NetworkNotPresent">NetworkNotPresent</a></li>
<li><a href="#NetworkUnauthorized">NetworkUnauthorized</a></li>
<li><a href="#NetworkNotSupported">NetworkNotSupported</a></li>
<li><a href="#NetworkNotFound">NetworkNotFound</a></li>
<li><a href="#ContextNotFound">ContextNotFound</a></li>
</ul>
<h1>Errors</h1><h3><a name="DeviceNotPresent">DeviceNotPresent</a></h3><p><i>Description:</i> Raised, when the device is not present. </p>
<h3><a name="DeviceTimeout">DeviceTimeout</a></h3><p><i>Description:</i> Raised, when the device does not answer within the specified time for this operation. </p>
<h3><a name="DeviceFailed">DeviceFailed</a></h3><p><i>Description:</i> Raised, when the device reported an unrecoverable error. </p>
<h3><a name="AuthorizationRequired">AuthorizationRequired</a></h3><p><i>Description:</i> Raised, if an authentication code is required before this operation can succeed. </p>
<h3><a name="SimNotPresent">SimNotPresent</a></h3><p><i>Description:</i> Raised, if there is no SIM card present. </p>
<h3><a name="SimAuthFailed">SimAuthFailed</a></h3><p><i>Description:</i> Raised, if the SIM authentication code is not accepted. </p>
<h3><a name="SimBlocked">SimBlocked</a></h3><p><i>Description:</i> Raised, if the SIM has been deactivated or is otherwise not allowed to join a network. </p>
<h3><a name="SimNotFound">SimNotFound</a></h3><p><i>Description:</i> Raised, if a data record on the SIM is not present. </p>
<h3><a name="SimMemoryFull">SimMemoryFull</a></h3><p><i>Description:</i> Raised, if there is not enough space for a data record on the SIM. </p>
<h3><a name="SimInvalidIndex">SimInvalidIndex</a></h3><p><i>Description:</i> Raised, if the requested messagebook or phonebook entry is out of bounds. </p>
<h3><a name="CallNotFound">CallNotFound</a></h3><p><i>Description:</i> Raised, if the specified call is not present. </p>
<h3><a name="MuxChannelTaken">MuxChannelTaken</a></h3><p><i>Description:</i> Raised, when the requested channel is already allocated. </p>
<h3><a name="MuxNoChannel">MuxNoChannel</a></h3><p><i>Description:</i> Raised, when the device can't allocate the requested channel. </p>
<h3><a name="MuxNoSession">MuxNoSession</a></h3><p><i>Description:</i> Raised, when there is no active session. </p>
<h3><a name="MuxSessionAlreadyOpen">MuxSessionAlreadyOpen</a></h3><p><i>Description:</i> Raised, when a session has already been opened. </p>
<h3><a name="MuxSessionOpenError">MuxSessionOpenError</a></h3><p><i>Description:</i> Raised, when the session can not be opened. </p>
<h3><a name="NetworkNotPresent">NetworkNotPresent</a></h3><p><i>Description:</i> Raised, if no network service is available. </p>
<h3><a name="NetworkUnauthorized">NetworkUnauthorized</a></h3><p><i>Description:</i> Raised, if registering with the specified network is not possible. </p>
<h3><a name="NetworkNotSupported">NetworkNotSupported</a></h3><p><i>Description:</i> Raised, if the requested network operation is not supported. </p>
<h3><a name="NetworkNotFound">NetworkNotFound</a></h3><p><i>Description:</i> Raised, if a requested network provider is not present. </p>
<h3><a name="ContextNotFound">ContextNotFound</a></h3><p><i>Description:</i> Raised, if the specified PDP context is not present. </p>

    <hr/>
    <small>
    | Specified 2008-2012 by the <a href="http://www.freesmartphone.org">Freesmartphone.org</a> team. | Join us and discuss further drafts smartphones-standards (at) linuxtogo (dot) org
    </small>
    <hr/>
    </body>
</html>

